<?php
/**
 * Plugin Name: نقش آرا
 * Description: نقش آرا دستیاری برای زیبا سازی وبسایت شما!
 * Version: 1.0
 * Author:<a href="https://sizitop.com" target="_blank">سیزی تاپ</a>
 * Text Domain: my-custom-widget
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
function register_naqshara_category( $elements_manager ) {
    $elements_manager->add_category(
        'naqshara_category',
        [
            'title' => __( 'نقش آرا', 'naqshara' ),
            'icon' => 'fa fa-plug',
        ]
    );
}
add_action( 'elementor/elements/categories_registered', 'register_naqshara_category' );

function register_naqshara( $widgets_manager ) {
    require_once( __DIR__ . '/widgets/button1-widget.php' );
    require_once( __DIR__ . '/widgets/button2-widget.php' );
    require_once( __DIR__ . '/widgets/button3-widget.php' );
    require_once( __DIR__ . '/widgets/button4-widget.php' );
    require_once( __DIR__ . '/widgets/button5-widget.php' );
    require_once( __DIR__ . '/widgets/button6-widget.php' );
    require_once( __DIR__ . '/widgets/button7-widget.php' );
    require_once( __DIR__ . '/widgets/button8-widget.php' );
    require_once( __DIR__ . '/widgets/button9-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box1-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box2-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box3-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box4-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box5-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box6-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box7-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box8-widget.php' );
    require_once( __DIR__ . '/widgets/box-widget/box9-widget.php' );



    $widgets_manager->register( new \Button1_Widget() );
    $widgets_manager->register( new \Button2_Widget() );
    $widgets_manager->register( new \Button3_Widget() );
    $widgets_manager->register( new \Button4_Widget() );
    $widgets_manager->register( new \Button5_Widget() );
    $widgets_manager->register( new \Button6_Widget() );
    $widgets_manager->register( new \Button7_Widget() );
    $widgets_manager->register( new \Button8_Widget() );
    $widgets_manager->register( new \Button9_Widget() );
    $widgets_manager->register( new \Box1_Widget() );
    $widgets_manager->register( new \Box2_Widget() );
    $widgets_manager->register( new \Box3_Widget() );
    $widgets_manager->register( new \Box4_Widget() );
    $widgets_manager->register( new \Box5_Widget() );
    $widgets_manager->register( new \Box6_Widget() );
    $widgets_manager->register( new \Box7_Widget() );
    $widgets_manager->register( new \Box8_Widget() );
    $widgets_manager->register( new \Box9_Widget() );

}
add_action( 'elementor/widgets/widgets_registered', 'register_naqshara' );
// Enqueue CSS
function enqueue_naqshara() {
    wp_enqueue_style( 'utt1num', plugins_url( '/css/utt1num.css', __FILE__ ) );
    wp_enqueue_style( 'button2-style', plugins_url( '/css/button2-style.css', __FILE__ ) );
    wp_enqueue_style( 'bon3-cssstyle', plugins_url( '/css/bon3-cssstyle.css', __FILE__ ) );
    wp_enqueue_style( 'bun4csssty', plugins_url( '/css/bun4csssty.css', __FILE__ ) );
     wp_enqueue_style( 'buttton5-style', plugins_url( '/css/buttton5-style.css', __FILE__ ) );
    wp_enqueue_style( 'buttton6-sttyle', plugins_url( '/css/buttton6-sttyle.css', __FILE__ ) );
    wp_enqueue_style( 'bu7-s-v', plugins_url( '/css/bu7-s-v.css', __FILE__ ) );
    wp_enqueue_style( 'b8-sii', plugins_url( '/css/b8-sii.css', __FILE__ ) );
    wp_enqueue_style( 'butt9-sty-', plugins_url( '/css/butt9-sty-.css', __FILE__ ) );
    wp_enqueue_style( 'bx1-yle', plugins_url( '/css/box-css/bx1-yle.css', __FILE__ ) );
    wp_enqueue_style( 'box2-style', plugins_url( '/css/box-css/box2-style.css', __FILE__ ) );
    wp_enqueue_style( 'box3-style', plugins_url( '/css/box-css/box3-style.css', __FILE__ ) );
    wp_enqueue_style( 'bx4-stuxcss', plugins_url( '/css/box-css/bx4-stuxcss.css', __FILE__ ) );
    wp_enqueue_style( 'box5-style', plugins_url( '/css/box-css/box5-style.css', __FILE__ ) );
    wp_enqueue_style( 'boox6-sttyle', plugins_url( '/css/box-css/boox6-sttyle.css', __FILE__ ) );
    wp_enqueue_style( 'bx7-styyyyle', plugins_url( '/css/box-css/bx7-styyyyle.css', __FILE__ ) );
    wp_enqueue_style( 'but8-styll', plugins_url( '/css/box-css/but8-styll.css', __FILE__ ) );
    wp_enqueue_style( 'bo9csss-style', plugins_url( '/css/box-css/bo9csss-style.css', __FILE__ ) );
}
add_action( 'wp_enqueue_scripts', 'enqueue_naqshara' );
//server//
